Package org.kie.internal.task.api

## Enum TaskDeadlinesService.DeadlineType

- java.lang.Object
- - java.lang.Enum<TaskDeadlinesService.DeadlineType>
  - - org.kie.internal.task.api.TaskDeadlinesService.DeadlineType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskDeadlinesService.DeadlineType>`
  Enclosing interface:
    TaskDeadlinesService

      public static enum TaskDeadlinesService.DeadlineType
      extends java.lang.Enum<TaskDeadlinesService.DeadlineType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END` |
    `START` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isValidStatus​(org.kie.api.task.model.Status status)` |
    `static TaskDeadlinesService.DeadlineType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskDeadlinesService.DeadlineType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final TaskDeadlinesService.DeadlineType START

    - #### END

          public static final TaskDeadlinesService.DeadlineType END

  - ### Method Detail

    - #### values

          public static TaskDeadlinesService.DeadlineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskDeadlinesService.DeadlineType c : TaskDeadlinesService.DeadlineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskDeadlinesService.DeadlineType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isValidStatus

          public boolean isValidStatus​(org.kie.api.task.model.Status status)